<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
                                                                                                                                                                                                                                                                                                                                                                                            Faça um algoritmo que retorne o maior numero encontrado no array
                                                                                                                                                                                                                                                                                                                                                                                             */
        function maxValue(valorA) {
            let aux = valorA[0];
            for (let index = 1; index <= valorA.length; index++) {
                if (valorA[index] > aux) {
                    aux = valorA[index];
                }
            }
            return aux;
        }

        // Resultados esperados

        console.log(maxValue([4, 6, 12, 5])) // 12
        console.log(maxValue([9, 234, 312, 999, 21, 2311], [3, 9, 4]), ) // 2311
        console.log(maxValue([533, 234, 23423, 32, 432]), ) // 23423
        console.log(maxValue([5, 4, 3, 2, 1]), ) // 5
    </script>
</body>

</html>